PatternEditor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.propertyeditors

## Class PatternEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.beans.propertyeditors.PatternEditor

- All Implemented Interfaces:
    PropertyEditor

      public class PatternEditor
      extends PropertyEditorSupport

  Editor for `java.util.regex.Pattern`, to directly populate a Pattern property. Expects the same syntax as Pattern's `compile` method.
  Since:
    2.0.1
  Author:
    Juergen Hoeller
  See Also:
    `Pattern`, `Pattern.compile(String)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternEditor()` Create a new PatternEditor with default settings.
    `PatternEditor(int flags)` Create a new PatternEditor with the given settings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsText()`
    `void` | `setAsText(String text)`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternEditor

          public PatternEditor()

      Create a new PatternEditor with default settings.

    - #### PatternEditor

          public PatternEditor(int flags)

      Create a new PatternEditor with the given settings.
      Parameters:
        `flags` - the `java.util.regex.Pattern` flags to apply
      See Also:
        `Pattern.compile(String, int)`, `Pattern.CASE_INSENSITIVE`, `Pattern.MULTILINE`, `Pattern.DOTALL`, `Pattern.UNICODE_CASE`, `Pattern.CANON_EQ`

  - ### Method Detail

    - #### setAsText

          public void setAsText(String text)

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`

    - #### getAsText

          public String getAsText()

      Specified by:
        `getAsText` in interface `PropertyEditor`
      Overrides:
        `getAsText` in class `PropertyEditorSupport`